summaryrefslogtreecommitdiff
path: root/tests/misc/csplit-1000
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/csplit-1000')
-rwxr-xr-xtests/misc/csplit-100029
1 files changed, 29 insertions, 0 deletions
diff --git a/tests/misc/csplit-1000 b/tests/misc/csplit-1000
new file mode 100755
index 000000000..accbe4685
--- /dev/null
+++ b/tests/misc/csplit-1000
@@ -0,0 +1,29 @@
+#!/bin/sh
+# various csplit tests
+
+# Copyright (C) 2010 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+test "$VERBOSE" = yes && FIXME --version
+
+# Before coreutils-8.7, this would overrun the 6-byte filename_space buffer.
+# It's hard to detect that without using valgrind, so here, we simply
+# run the demonstrator.
+seq 1000 | csplit - '/./' '{*}' || fail=1
+test -f xx1000 || fail=1
+test -f xx1001 && fail=1
+
+Exit $fail